=head1 NAME

Attean::API::Triple - Role representing triples

=head1 VERSION

This document describes Attean::API::Triple version 0.026

=head1 SYNOPSIS

  use v5.14;
  use Attean;

=head1 DESCRIPTION

This is a Moo role representing triples.

=head1 ROLES

This role consumes L<Attean::API::TriplePattern>, L<Attean::API::TripleOrQuad>, L<Attean::API::TripleOrQuadPattern> and L<Attean::API::Binding>, which provide the following methods:

=over 4

=item C<< mapping >>

=item C<< variables >>

=item C<< values >>

=item C<< value >>

=item C<< tuples_string >>

=item C<< as_string >>

=item C<< as_quad_pattern >>

=item C<< apply_map >>

=back

=head1 METHODS

=over 4

=item C<< as_quad( $graph ) >>

Returns an L<Attean::Quad> object with the referent's subject, predicate, and
object, and the supplied C<< $graph >>.

=item C<< subject >>

=item C<< predicate >>

=item C<< object >>

=back

=head1 BUGS

Please report any bugs or feature requests to through the GitHub web interface
at L<https://github.com/kasei/attean/issues>.

=head1 SEE ALSO



=head1 AUTHOR

Gregory Todd Williams  C<< <gwilliams@cpan.org> >>

=head1 COPYRIGHT

Copyright (c) 2014--2019 Gregory Todd Williams.
This program is free software; you can redistribute it and/or modify it under
the same terms as Perl itself.

=cut
